<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.cache-container">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="aliases,default-cache,module,statistics-enabled,eviction-executor,listener-executor,replication-queue-executor,jndi-name,start"/>
        <elem name="addr-params" value="profile,subsystem,cache-container"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.cache.default-registry-entry.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-container-configuration.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.key-affinity-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.cache.default-service-provider-registry.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.cache.default-singleton-service-builder-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.cache.default-node-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-container.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.cache.default-registry-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.cache.default-registry.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.cache.default-singleton-service-configurator-factory.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.default-cache.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.default-cache-configuration.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.cache.default-group.$cache-container"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-configuration.$cache-container.$default-cache" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="aliases" nillable="true" type="List&lt;String&gt;"/>
        <param name="eviction-executor" nillable="true"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="cache-container" feature-id="true"/>
        <param name="start" nillable="true"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="statistics-enabled" nillable="true"/>
        <param name="listener-executor" nillable="true"/>
        <param name="default-cache" nillable="true"/>
        <param name="replication-queue-executor" nillable="true"/>
        <param name="jndi-name" nillable="true"/>
    </params>
</feature-spec>